Public Class BasePanel
    Public Property Caption As String
    Public ReadOnly Property OwnerForm As Integer
        Get
            Return Parent?.Parent?.Tag
        End Get
    End Property
End Class
